%global momorel 1
Summary: MP3::Info module for perl
Name: perl-MP3-Info
Version: 1.20
Release: %{momorel}m
License: Artistic
Group: Development/Libraries
URL: http://www.cpan.org/modules/by-module/MP3/
%NoSource 0 http://www.cpan.org/modules/by-module/MP3/MP3-Info-%{version}.tar.gz ffb3427089a6b5f56e35e5b2ab902d29
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.5
BuildArch: noarch

%description
MP3::Info module for perl

# Provide perl-specific find-{provides,requires}.
%global __find_provides /usr/lib/rpm/find-provides.perl
%global __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n MP3-Info-%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make PERL_INSTALL_ROOT=%{buildroot} install

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > MP3-Info-%{version}-filelist
if [ "$(cat MP3-Info-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_sitearch}/auto/MP3/Info/.packlist

%files -f MP3-Info-%{version}-filelist
%defattr(-,root,root)

%changelog
* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.20-1m)
- update to 1.20

* Thu Feb 9 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.13-3m)
- rebuild against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.13-2m)
- rebuilt against perl-5.8.7

* Wed Apr 13 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.13-1m)
- update 1.13

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (1.02-4m)
- noarch... orz

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.02-3m)
- rebuild against perl-5.8.5

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.02-2m)
- revised spec for rpm 4.2.

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.02-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.01-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.01-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.01-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Fri Jan 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.01-1m)
- import to momonga

